#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14
m = metamodel.Model()
c = metamodel.Class()
c.namespace = m

print m
print c.namespace
print id(m)
print id(c.namespace)
# Must be same object with the new and improved SWIG
print m.__class__
print c.namespace.__class__

assert(m == c.namespace)

c.namespace = None
m = None
c = None
